Bug 7106 - mal-formed require-membership_of_sid.
mal-formed require-membership_of_sid.
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: Winbind
unspecified
All Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-06 01:29 UTC by Bo Yang
Modified: 2010-02-08 09:11 UTC (History)
0 users

See Also:


Attachments
patch for v3-3-test (1.39 KB, patch)
2010-02-06 01:30 UTC, Bo Yang
jmcd: review+
Details
patch for v3-4-test (1.42 KB, patch)
2010-02-06 01:31 UTC, Bo Yang
jmcd: review+
Details
patch for v3-5-test (1.42 KB, patch)
2010-02-06 01:31 UTC, Bo Yang
jmcd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bo Yang 2010-02-06 01:29:12 UTC
When the last group in require membership of list is invalid, require_membership_of_sid ends with ','.. it is malformed parameter in this case.
Comment 1 Bo Yang 2010-02-06 01:30:37 UTC
Created attachment 5289 [details]
patch for v3-3-test
Comment 2 Bo Yang 2010-02-06 01:31:11 UTC
Created attachment 5290 [details]
patch for v3-4-test
Comment 3 Bo Yang 2010-02-06 01:31:42 UTC
Created attachment 5291 [details]
patch for v3-5-test
Comment 4 Jim McDonough 2010-02-08 07:28:13 UTC
Karolin,
Can you please include these backports?
THanks!
Comment 5 Karolin Seeger 2010-02-08 09:11:05 UTC
Pushed to all branches.
Closing out bug report.

Thanks!